Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Aug 2014, 20:08
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Success porting Openshot video editor to puppy.
Post new topic   Reply to topic View previous topic :: View next topic
Page 6 of 6 [84 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6
Author Message
edoc


Joined: 07 Aug 2005
Posts: 4365
Location: Southeast Georgia, USA

PostPosted: Tue 12 Jun 2012, 18:02    Post subject:  

Any 2012 activity re. Openshot, please?

Anyone tried it with Exprimo 5x14?

Is there a preferred alternative?

Thanks!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Puppyt

Joined: 09 May 2008
Posts: 567
Location: Gatton, Queensland

PostPosted: Tue 18 Sep 2012, 21:39    Post subject:  

Hey edoc,
hope you've had success with Openshot in Exprimo. Normally for this sort of thing I'd relapse back into XP and use Virtualdub, but I've been using Exprimo and LH64 for months now without having to even think of using MicroSoft.
I've got Open Movie editor working in pemasu's 5x14, but noted sunburnt writing that Avidemux has ongoing sound management problems, so I gave it a miss completely. I then saw that online forums rank Openshot much higher than Open Movie so I haven't given it much time (rushed assignment deadline). I tried to download Openshot via the Debian repositories and as you may have found, it is dependency hell for us noobs who can't get around missed python dependencies etc it is a bit of a show-stopper. Loading Openshot from terminal results in reported "mlt" errors - despite that package already being installed - so I have heart that the problem might be solved with some well-placed symlinking (that I wouldn't have the first idea of solving).
RSH provided an Openshot+python dependencies SFS on his German forum - compiled in Lucid and works also in MacPup528 but not Slacko. I found it didn't work in Exprimo (some sort of file call issues re subtle directory structure differences I'll wager) - but seems to be fine in my frugal-install of MacPup528. I'll have to migrate to there to get this job done...
I'm really rushed for time next two days, but I see Openshot (rather than cinerella etc) would be a really valuable asset in the dpup repositories, as a pet or SFS. Perhaps you might pm pemasu or post a request in his forum?
I just remembered seeing a great page darkcity posted in the wiki (I think) about Openshot and dependencies - perhaps you could search there to solve dependency hassles? Sorry I haven't been able to include links etc as I'm at work and under the pump, but I HTH...
[EDIT: my mistake - it was coolpup's summary, here: http://puppylinux.org/wikka/openshot ]

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
edoc


Joined: 07 Aug 2005
Posts: 4365
Location: Southeast Georgia, USA

PostPosted: Sun 30 Sep 2012, 17:52    Post subject:  

Sorry for my delayed reply and thanks ...

We just returned from a 16-day, 17-state, 7,000 mile family trip ... quite an adventure!

I have forwarded this to our 17yr old son as he's the video editing person in the house - tho I think our daughter is learning as well.

I suppose I should fix his laptop power supply so he can read this!

Wink

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Puppyt

Joined: 09 May 2008
Posts: 567
Location: Gatton, Queensland

PostPosted: Sun 30 Sep 2012, 18:57    Post subject:  

Hi edoc -
good to see you had a safe and happy journey. I've migrated to Exprimo 5x15 (on a laptop I'm not currently working on) and despite downloading as many python dependencies as I could, I couldn't solve a MLT problem (codecs not being called correctly, from what I understand). Went into MacPup528 on the same machine and found Openshot a delight to work with - mixed audio and remastered a video production with no troubles. Smile

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
edoc


Joined: 07 Aug 2005
Posts: 4365
Location: Southeast Georgia, USA

PostPosted: Sun 30 Sep 2012, 19:18    Post subject:  

Do you have the devx loaded?

It is supposed to contain all of the dependencies.

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Puppyt

Joined: 09 May 2008
Posts: 567
Location: Gatton, Queensland

PostPosted: Sun 30 Sep 2012, 19:45    Post subject:  

No, I didn't try the devx, and I really should have started there to avoid getting strangled by python, post-hoc. I had thought I could use the deb repositories to hunt down and install the dependencies - from memory there were many leaks in the cross-dependency checks (naturally enough) and my main bugbear in Exprimo+Openshot was "MLT Python bindings failed to import". But if you manage to get it working in Exprimo, would you mind posting a pet? Perhaps? No rush for me - "done deed" in MacPup.
Cheers

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sat 08 Dec 2012, 05:35    Post subject:  

anyone... please if you have unstable openshot, please check
did you see :

/usr/lib/xorg/modules/drivers/displaylink_drv.so

or instead

/usr/lib/xorg/modules/drivers/displaylink_drv.so.not
???

please check if deleting ".not" will make your openshot work properly.

btw
blender-2.56a-beta-lucid52 + Openshot-1.3-Lucid + Python-2.6-Lucid
work nicely in 528

Thanks to smil99

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 3013
Location: Mer méditerrannée (1 kms°)

PostPosted: Thu 12 Dec 2013, 06:50    Post subject:  Openshot does it ! (Precise Version)
Subject description: nice tool.
 

openshot-1.4.2.sfs : 50 M
nothing on the screen, unknown via terminal.
With Pupos 511, openshot was only crashing after opening a video file, it was better.
Enjoy, Precise Openshot does the job, until the end. Razz
Pour faire des vidéos avec openshot, utiliser une Puppy basée sur Precise.
Para hacer videos con Openshot, hay de tomar une Puppy Precise.
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 3013
Location: Mer méditerrannée (1 kms°)

PostPosted: Thu 03 Apr 2014, 04:06    Post subject: Sfs Openshot 1.4.3 retro Precise 5.7.1
Subject description: Perfect job on Puppy Pupjibaro
 

Perfect job on Puppy Pupjibaro loading on the fly Sfs Openshot 1.4.3 retro Precise 5.7.1 (python 2.7.1 yet included in Pupjibaro)

Argolance provides the openshot packages for Precise Puppy hereclick please...

videosclaquez svp Razz

_________________
Puppy, il ne lui manque que la parole !
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 6 of 6 [84 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0725s ][ Queries: 13 (0.0083s) ][ GZIP on ]